#if !defined(AFX_LIGHTSETDLG_H__7002ED9A_8D6E_4C63_B174_F93686424E14__INCLUDED_)
#define AFX_LIGHTSETDLG_H__7002ED9A_8D6E_4C63_B174_F93686424E14__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// LightSetDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLightSetDlg dialog

#include "Background.h"

class CLightSetDlg : public CDialog
{
// Construction
public:
	CLightSetDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CLightSetDlg)
	enum { IDD = IDD_DIALOG_LIGHTSET };
	CSliderCtrl	m_sliderDiffuseR2;
	CSliderCtrl	m_sliderDiffuseG2;
	CSliderCtrl	m_sliderDiffuseB2;
	CSliderCtrl	m_sliderAmbientR2;
	CSliderCtrl	m_sliderAmbientG2;
	CSliderCtrl	m_sliderAmbientB2;
	CSliderCtrl	m_sliderDiffuseR;
	CSliderCtrl	m_sliderDiffuseG;
	CSliderCtrl	m_sliderDiffuseB;
	CSliderCtrl	m_sliderAmbientR;
	CSliderCtrl	m_sliderAmbientG;
	CSliderCtrl	m_sliderAmbientB;
	float	m_editAmbientB;
	float	m_editAmbientG;
	float	m_editAmbientR;
	float	m_editDiffuseB;
	float	m_editDiffuseG;
	float	m_editDiffuseR;
	float	m_editDirectionX;
	float	m_editDirectionY;
	float	m_editDirectionZ;
	BOOL	m_bChangeLight;
	float	m_editAmbientB2;
	float	m_editAmbientG2;
	float	m_editAmbientR2;
	float	m_editDiffuseB2;
	float	m_editDiffuseG2;
	float	m_editDiffuseR2;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLightSetDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation PROJECTINFO
public:
	void SetData(PROJECTINFO project);
protected:

	// Generated message map functions
	//{{AFX_MSG(CLightSetDlg)
	afx_msg void OnChangeEditDirectionX();
	afx_msg void OnChangeEditDirectionY();
	afx_msg void OnChangeEditDirectionZ();
	afx_msg void OnReleasedcaptureSliderAmbientB(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderAmbientG(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderAmbientR(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderDiffuseB(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderDiffuseG(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderDiffuseR(NMHDR* pNMHDR, LRESULT* pResult);
	virtual BOOL OnInitDialog();
	afx_msg void OnCheckChangeLight();
	afx_msg void OnReleasedcaptureSliderAmbientB2(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderAmbientG2(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderAmbientR2(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderDiffuseB2(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderDiffuseG2(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnReleasedcaptureSliderDiffuseR2(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_LIGHTSETDLG_H__7002ED9A_8D6E_4C63_B174_F93686424E14__INCLUDED_)
